%global framework kauth

Name:    kf5-%{framework}
Version: 5.113.0
Release:    3%{?dist}
Summary: KDE Frameworks 5 Tier 2 integration module to perform actions as privileged user

License: BSD-3-Clause AND CC0-1.0 AND LGPL-2.0-or-later AND LGPL-2.1-or-later
URL:     https://invent.kde.org/frameworks/%{framework}

%global majmin %majmin_ver_kf5
%global stable %stable_kf5
Source0: http://download.kde.org/%{stable}/frameworks/%{majmin}/%{framework}-%{version}.tar.xz

BuildRequires:  extra-cmake-modules >= %{majmin}
BuildRequires:  kf5-kcoreaddons-devel >= %{majmin}
BuildRequires:  kf5-rpm-macros

BuildRequires:  polkit-qt5-1-devel
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qttools-devel

%description
KAuth is a framework to let applications perform actions as a privileged user.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       kf5-kcoreaddons-devel >= %{majmin}
%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -n %{framework}-%{version} -p1


%build
%cmake_kf5 \
  -DKDE_INSTALL_LIBEXECDIR=%{_kf5_libexecdir}

%cmake_build


%install
%cmake_install

%find_lang_kf5 kauth5_qt



%files -f kauth5_qt.lang
%doc README.md
%license LICENSES/*.txt
%{_kf5_datadir}/qlogging-categories5/%{framework}.*
%{_kf5_libdir}/libKF5Auth.so.5*
%{_kf5_libdir}/libKF5AuthCore.so.5*
%{_kf5_datadir}/dbus-1/system.d/org.kde.kf5auth.conf
%{_kf5_qtplugindir}/kauth/
%{_kf5_datadir}/kf5/kauth/
%{_kf5_libexecdir}/kauth/

%files devel
%{_kf5_includedir}/KAuth/
%{_kf5_includedir}/KAuthCore/
%{_kf5_includedir}/KAuthWidgets/
%{_kf5_libdir}/libKF5Auth.so
%{_kf5_libdir}/libKF5AuthCore.so
%{_kf5_libdir}/cmake/KF5Auth/
%{_kf5_archdatadir}/mkspecs/modules/qt_KAuth*.pri


%changelog
* Tue Jun 10 2025 bbrucezhang <bbrucezhang@tencent.com> - 5.113.0-3
- Rebuilt for loongarch64

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.113.0-2
- Rebuilt for loongarch release

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.113.0-1
- initial build
